import './assets/main.css'
import "./assets/animation.css"
import "ol/ol.css";

import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import registerPlugins from './plugins'
import './assets/element.scss'
const app = createApp(App)
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import "cesium/Build/Cesium/Widgets/widgets.css"
app.use(router)
registerPlugins(app)
app.mount('#app')
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
  }